package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.Services;
import com.sa.ibiz.demo.demo.service.dto.ServicesSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[Services] 服务对象接口
 */
public interface ServicesService extends IService<Services>{

	boolean checkKey(Services et);
		Services get(Services et);
	boolean remove(Services et);
	boolean update(Services et);
	boolean getDraft(Services et);
		Services startService(Services et);
		Services stopService(Services et);
	boolean create(Services et);
    List<Services> listDefault(ServicesSearchFilter filter) ;
	Page<Services> searchDefault(ServicesSearchFilter filter);
	/**	 实体[Services] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }